"use strict";
// Copyright (c) Matthias Hochsteger
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("@jupyter-widgets/base");
const scene_1 = require("./scene");
class NGSolveView extends base_1.DOMWidgetView {
    render() {
        console.log("Render NGSView");
        let render_data = this.model.get("value");
        console.log("render data", render_data);
        this.scene = new scene_1.Scene();
        let container = document.createElement('div');
        container.setAttribute("style", "height: 50vw; width: 100vw;");
        this.el.appendChild(container);
        setTimeout(() => {
            this.scene.init(container, render_data);
        }, 0);
        this.model.on('change:value', this.data_changed, this);
    }
    data_changed() {
        let render_data = this.model.get("value");
        this.scene.updateRenderData(render_data);
    }
}
exports.NGSolveView = NGSolveView;
//# sourceMappingURL=widget.js.map